window.Gleam.initSearch([{"doc":"glee_gd","title":"glee_gd","content":"# glee_gd\n\n[![Package Version](https://img.shields.io/hexpm/v/glee_gd)](https://hex.pm/packages/glee_gd)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/glee_gd/)\n\nGleam bindings for the [Erlang Graphical Drawer (EGD)](https://github.com/erlang/egd) library.\n\n```sh\ngleam add glee_gd\n```\n```gleam\nimport glee_gd\n\npub fn main() {\n  let image = glee_gd.create(500, 500)\n  let color = glee_gd.color(#(109, 74, 126))\n  glee_gd.filled_ellipse(image, #(100, 400), #(400, 100), color)\n  let binary = glee_gd.render(image)\n  // Do something with binary in memory or write it to a file.\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/glee_gd&gt;.\n\n## Development\n\n```sh\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"glee_gd","title":"Color","content":"pub type Color =\n  #(Float, Float, Float, Float)\n\n\nSynonyms:\nglee_gd.Color\nglee_gd Color","url":"glee_gd.html#Color"},{"doc":"glee_gd","title":"Image","content":"pub type Image =\n  Pid\n\n\nSynonyms:\nglee_gd.Image\nglee_gd Image","url":"glee_gd.html#Image"},{"doc":"glee_gd","title":"Pid","content":"pub type Pid\n\n\nSynonyms:\nglee_gd.Pid\nglee_gd Pid","url":"glee_gd.html#Pid"},{"doc":"glee_gd","title":"Point","content":"pub type Point =\n  #(Int, Int)\n\n\nSynonyms:\nglee_gd.Point\nglee_gd Point","url":"glee_gd.html#Point"},{"doc":"glee_gd","title":"RGB","content":"pub type RGB =\n  #(Int, Int, Int)\n\n\nSynonyms:\nglee_gd.RGB\nglee_gd RGB","url":"glee_gd.html#RGB"},{"doc":"glee_gd","title":"arc","content":"pub fn arc(\n  image: Pid,\n  p1: #(Int, Int),\n  p2: #(Int, Int),\n  color: #(Float, Float, Float, Float),\n) -&gt; Nil\n\nSynonyms:\nglee_gd.arc\nglee_gd arc","url":"glee_gd.html#arc"},{"doc":"glee_gd","title":"arcd","content":"pub fn arcd(\n  image: Pid,\n  p1: #(Int, Int),\n  p2: #(Int, Int),\n  d: Int,\n  color: #(Float, Float, Float, Float),\n) -&gt; Nil\n\nSynonyms:\nglee_gd.arcd\nglee_gd arcd","url":"glee_gd.html#arcd"},{"doc":"glee_gd","title":"color","content":"pub fn color(\n  color: #(Int, Int, Int),\n) -&gt; #(Float, Float, Float, Float)\n\nSynonyms:\nglee_gd.color\nglee_gd color","url":"glee_gd.html#color"},{"doc":"glee_gd","title":"create","content":"pub fn create(width: Int, height: Int) -&gt; Pid\n\nSynonyms:\nglee_gd.create\nglee_gd create","url":"glee_gd.html#create"},{"doc":"glee_gd","title":"destroy","content":"pub fn destroy(image: Pid) -&gt; Nil\n\nSynonyms:\nglee_gd.destroy\nglee_gd destroy","url":"glee_gd.html#destroy"},{"doc":"glee_gd","title":"filled_ellipse","content":"pub fn filled_ellipse(\n  image: Pid,\n  p1: #(Int, Int),\n  p2: #(Int, Int),\n  color: #(Float, Float, Float, Float),\n) -&gt; Nil\n\nSynonyms:\nglee_gd.filled_ellipse\nglee_gd filled_ellipse","url":"glee_gd.html#filled_ellipse"},{"doc":"glee_gd","title":"filled_rectangle","content":"pub fn filled_rectangle(\n  image: Pid,\n  p1: #(Int, Int),\n  p2: #(Int, Int),\n  color: #(Float, Float, Float, Float),\n) -&gt; Nil\n\nSynonyms:\nglee_gd.filled_rectangle\nglee_gd filled_rectangle","url":"glee_gd.html#filled_rectangle"},{"doc":"glee_gd","title":"filled_triangle","content":"pub fn filled_triangle(\n  image: Pid,\n  p1: #(Int, Int),\n  p2: #(Int, Int),\n  p3: #(Int, Int),\n  color: #(Float, Float, Float, Float),\n) -&gt; Nil\n\nSynonyms:\nglee_gd.filled_triangle\nglee_gd filled_triangle","url":"glee_gd.html#filled_triangle"},{"doc":"glee_gd","title":"information","content":"pub fn information(image: Pid) -&gt; Nil\n\nSynonyms:\nglee_gd.information\nglee_gd information","url":"glee_gd.html#information"},{"doc":"glee_gd","title":"line","content":"pub fn line(\n  image: Pid,\n  p1: #(Int, Int),\n  p2: #(Int, Int),\n  color: #(Float, Float, Float, Float),\n) -&gt; Nil\n\nSynonyms:\nglee_gd.line\nglee_gd line","url":"glee_gd.html#line"},{"doc":"glee_gd","title":"polygon","content":"pub fn polygon(\n  image: Pid,\n  points: List(#(Int, Int)),\n  color: #(Float, Float, Float, Float),\n) -&gt; Nil\n\nSynonyms:\nglee_gd.polygon\nglee_gd polygon","url":"glee_gd.html#polygon"},{"doc":"glee_gd","title":"rectangle","content":"pub fn rectangle(\n  image: Pid,\n  p1: #(Int, Int),\n  p2: #(Int, Int),\n  color: #(Float, Float, Float, Float),\n) -&gt; Nil\n\nSynonyms:\nglee_gd.rectangle\nglee_gd rectangle","url":"glee_gd.html#rectangle"},{"doc":"glee_gd","title":"render","content":"pub fn render(image: Pid) -&gt; String\n\nSynonyms:\nglee_gd.render\nglee_gd render","url":"glee_gd.html#render"},{"doc":"glee_gd","title":"glee_gd","content":"","url":"glee_gd.html"}]);